{
        template: '${tmpl}',
                data: function() {
                        return {
                                name:null,
                                phone:null,
                                email:null,
                                money:null,
                                count:1,
                                num:2000,
                                type: "小规模",
                                typeList: ["小规模","一般人"],
                                dailog1:false,
                                dailog2:false
                        }
                },
        mounted: function() {
        },
        created: function() {
                this.money = this.num; 
        },
        methods: {
                addCount(){
                        this.count++;
                        this.money = this.count * this.num;
                },
                reduceCount(){
                        if(this.count <= 1)return;
                        this.count--;
                        this.money = this.count * this.num;
                },
                typeChange(){
                        this.dailog1 = true;
                },
                typeShow(){
                        this.dailog1 = false;
                },
                typeListCheckout(type){
                        this.dailog1 = false;
                        this.type = type;
                },
                submitShow(){
                        this.dailog2 = false;
                },
                submit(){
                        let resPhone = /^1[3456789]\d{9}$/;
                        if(!resPhone.test(this.phone)){
                                this.$message({
                                        message: '手機號輸入不正確',
                                        type: 'warning'
                                });
                                return;
                        }
                        this.dailog2 = true;
                }
        },
        vname: "gsb-account"
}
